Subject: [Pals] Comments on draft-brissette-pals-pw-fec-label-request-00

From: Alexander Vainshtein <[email-masked]>
Date: Fri, 24 Oct 2014 05:15:49 +0000

??Hi all,

I've read the draft and I think that it closes an important gap left by the original RFC 4447.

At the same time I have a couple of comments regarding the current text.

Technical:

Neither FEC-128 nor FEC-129 explicitly specify the remote PE. The same PWid (in the case of FEC-128) or the same triple {AGI, SAII, TAII} (in the case of FEC-129) can be assigned to multiple PW endpoints in a given PE provided  that their remote PEs are different. This fact is used, e.g., for setting up a full mesh of Ethernet PWs between multiple VSIs forming a single VPLS in RFC 4762.

At the same time, each occurrence of { Remote PE, PW FEC} is bound to a different PW label because these labels are used as PW demultiplexers.

Suppose now that PE-1 has used the same PW-FEC-1 for two PWs, one with remote peer PE2, and the other - with remote peer PE-2, and allocated PW labels L12 and L13 as incoming PW labels to these two PWs.

I assume that, if PE2 sends Label Request for PW-FEC-1 to PE1, it would only receive the label mapping message with L12; however, this is not explicitly specified in the draft.

The same logic presumably should be applied to the situations when requests for wildcard PWFEC (general or Typed) are received, i.e., regardless of the specific FEC for which label requests has been issued:

  *   Only labels bound to combinations of the requester as the remote PE and suitable PW FEC would be re-advertised
  *   If the PW FEC is not associated with any PW endpoint having the requester as its remote PE,   a "No PW"  Notification would be sent, even if the PWFEC itself is used in conjunction with other PEs.

IMHO and FWIW such a clarification in the draft would be beneficial.

Editorial:

Section 3.2 mentions a "TT-PE". Judging by the context, I think that this should be T-PE (a reference to S-PE appears immediately after the sentence mentioning T-PE).

Hopefully these comments will be useful.

Regards,

Sasha

---

From: "Sami Boutros (sboutros)" <[email-masked]>
Date: Fri, 24 Oct 2014 18:58:34 +0000

Hi Sasha,

On Oct 23, 2014, at 10:15 PM, Alexander Vainshtein wrote:

​​Hi all,

Sami: Thanks.

Technical:

Sami: The scope of the document is for label request for p2p PWs between 2 PEs as defined in RFC 4447 and PWE3 reference model. However, we will look at those comments and see how we can clarify given the scope of our document.

Editorial:

Sami: We mean here Target Terminating Provider Edge (TT-PE) as defined in RFC 7267. But I agree we need to provide the reference.

Thanks,

Sami

Regards,
Sasha